'use strict';

const config = {
    resolution: {
        x: 1280,
        y: 800,
    },
    topMargin: 75.0,
    bottomMargin: 40.0,
    horizontalMargin: 15.0,
    cooldownSeconds: 5.0,
    sweepExpandSpeed: 300.0,
    sweepFadeRadius: 300.0,
    sweepFadeRate: 0.5,
    detectionLifetime: 20.0,
    searchExpandSpeed: 100.0,
    searchFadeRadius: 100.0,
    searchFadeRate: 50.0,
    levels: [{
        bombCount: 1,
        searchCount: 2,
        sweepCount: 3,
        timeLimitSeconds: 1000000.0,
        randomSweepInterval: 1000000.0,
    }, {
        bombCount: 2,
        searchCount: 3,
        sweepCount: 4,
        timeLimitSeconds: 60.0,
        randomSweepInterval: 3600.0,
    }, {
        bombCount: 1,
        searchCount: 1,
        sweepCount: 0,
        timeLimitSeconds: 60.0,
        randomSweepInterval: 5.0,
    }, {
        bombCount: 3,
        searchCount: 4,
        sweepCount: 5,
        timeLimitSeconds: 60.0,
        randomSweepInterval: 3600.0,
    }, {
        bombCount: 1,
        searchCount: 1,
        sweepCount: 3,
        timeLimitSeconds: 20.0,
        randomSweepInterval: 3600.0,
    }, {
        bombCount: 2,
        searchCount: 4,
        sweepCount: 0,
        timeLimitSeconds: 60.0,
        randomSweepInterval: 10,
    }, {
        bombCount: 5,
        searchCount: 7,
        sweepCount: 7,
        timeLimitSeconds: 40.0,
        randomSweepInterval: 3600.0,
    }, {
        bombCount: 3,
        searchCount: 3,
        sweepCount: 6,
        timeLimitSeconds: 30.0,
        randomSweepInterval: 3600.0,
    }, {
        bombCount: 1,
        searchCount: 1,
        sweepCount: 0,
        timeLimitSeconds: 10,
        randomSweepInterval: 1,
    }, {
        bombCount: 4,
        searchCount: 5,
        sweepCount: 6,
        timeLimitSeconds: 20.0,
        randomSweepInterval: 3600.0,
    }, {
        bombCount: 100,
        searchCount: 500,
        sweepCount: 0,
        timeLimitSeconds: 60.0,
        randomSweepInterval: 3600.0,
    }, {
        bombCount: 5,
        searchCount: 6,
        sweepCount: 5,
        timeLimitSeconds: 60.0,
        randomSweepInterval: 10,
    }, {
        bombCount: 6,
        searchCount: 8,
        sweepCount: 10,
        timeLimitSeconds: 30.0,
        randomSweepInterval: 3600.0,
    }, {
        bombCount: 2,
        searchCount: 2,
        sweepCount: 3,
        timeLimitSeconds: 60.0,
        randomSweepInterval: 3600.0,
    }, {
        bombCount: 10,
        searchCount: 10,
        sweepCount: 0,
        timeLimitSeconds: 60.0,
        randomSweepInterval: 5,
    }, {
        bombCount: 1,
        searchCount: 1,
        sweepCount: 2,
        timeLimitSeconds: 600.0,
        randomSweepInterval: 590.0,
    }, {
        bombCount: 1,
        searchCount: 1,
        sweepCount: 1,
        timeLimitSeconds: 600.0,
        randomSweepInterval: 590.0,
    }],
};

Object.freeze(config);
