'use strict';

class Input {
    constructor() {
        this._screenPosition = [0, 0];

        document.body.addEventListener('mousemove', (e) => this._screenPosition = [e.pageX, e.pageY]);
        document.body.addEventListener('touchmove', (e) => this._screenPosition = [e.pageX, e.pageY]);

        this._buttonPressed = new Map();
        this._buttonHeld = new Map();

        document.addEventListener('mousedown', (e) => {
            this._buttonHeld.set(e.button, true);
            this._buttonPressed.set(e.button, true);
        });
        document.addEventListener('mouseup', (e) => {
            this._buttonHeld.set(e.button, false);
            this._buttonPressed.set(e.button, false);
        });
    }

    wasButtonPressed(button) {
        const value = this._buttonPressed.get(button);
        this._buttonPressed.set(button, false);
        return value;
    }

    isButtonHeld(button) {
        return this._buttonHeld.get(key);
    }

    getScreenPosition() {
        return this._screenPosition;
    }

    getWorldPosition(renderer) {
        return renderer.screenToWorld(this._screenPosition);
    }
}
